#
# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#pragma ident	"@(#)mpapi.conf	1.1	06/04/27 SMI"
#
#
PL_32_NAME=com.sun.mpapi32
PL_64_NAME=com.sun.mpapi64
LIB_32_PATH=/lib/libmpscsi_vhci.so
LIB_64_PATH=/lib/64/libmpscsi_vhci.so

[ "${BASERDIR}" = "/" ] && BASEDIR=""

CONF_FILE=${BASEDIR}/etc/mpapi.conf

if [ $1 = install ] ; then
  
  if [ -f ${CONF_FILE} ] ; then
    # Preserve old file data    
    cat ${CONF_FILE}
    # Append entries if missing
    if   grep "${LIB_32_PATH}" ${CONF_FILE} > /dev/null ; then : 
    else
        echo "${PL_32_NAME}		${LIB_32_PATH}"  || exit 3
    fi

    # Append entries if missing
    if   grep "${LIB_64_PATH}" ${CONF_FILE} > /dev/null ; then :
    else
        echo "${PL_64_NAME}		${LIB_64_PATH}"  || exit 3
    fi

  else
    exit 1
  fi
else
  # package remove 
  if [ ! -f ${BASEDIR}/lib/libmpscsi_vhci.so ] ; then
    echo "Removing conf entries for ${PL_32_NAME} and ${PL_64_NAME}" >&2
    sed -e '/^'${PL_32_NAME}'/d' -e '/^'${PL_64_NAME}'/d' ${CONF_FILE} || exit 2
  else
    # Use current file as new file, otherwise the file is removed
    cat ${CONF_FILE} || exit 2
  fi
fi
